gnuplot-function.hh File Reference
`#include <roboptim/core/sys.hh>`
`#include <roboptim/core/debug.hh>`
`#include <boost/format.hpp>`
`#include <roboptim/core/function.hh>`

## Namespaces

| roboptim
| Meta-functions, functions and solvers related classes.
| roboptim::visualization
| Graphic visualization.
| roboptim::visualization::gnuplot
| Gnuplot rendering.

## Functions

template<typename T >
Command | roboptim::visualization::gnuplot::plot (const GenericFunction< T > &f, discreteInterval_t interval)
| Plot a 1D function with Gnuplot. More...
template<typename T >
Command | roboptim::visualization::gnuplot::plot_xy (const GenericFunction< T > &f, discreteInterval_t interval)
| Plot a 2D function with Gnuplot. More...